environment:
  # When this was added there were revocation check failures when using the
  # libcurl backend as libcurl checks by default, but rustup doesn't provide the
  # switch to turn this off. Switch to Hyper which looks to not check for
  # revocation by default like libcurl does.
  RUSTUP_USE_HYPER: 1
  CARGO_HTTP_CHECK_REVOKE: false
  matrix:
  - TARGET: x86_64-pc-windows-gnu
    MSYS2_BITS: 64
  - TARGET: i686-pc-windows-gnu
    MSYS2_BITS: 32
  - TARGET: x86_64-pc-windows-msvc
  - TARGET: i686-pc-windows-msvc
install:
  - appveyor-retry appveyor DownloadFile https://win.rustup.rs/ -FileName rustup-init.exe
  - rustup-init.exe -y --default-host %TARGET%
  - set PATH=%PATH%;C:\Users\appveyor\.cargo\bin
  - if defined MSYS2_BITS set PATH=%PATH%;C:\msys64\mingw%MSYS2_BITS%\bin
  - rustc -V
  - cargo -V

build: false

test_script:
  - cargo test --target %TARGET%
  - cargo test --no-default-features --target %TARGET%
  - cargo test --manifest-path libc-test/Cargo.toml --target %TARGET%
